AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager.Event
ShutdownEvent Class
ShutdownEvent Properties
File Property
Func Property
Line Property
Restart Property
SequenceNumber Property
Shutdown Property

| ShutdownEvent Shutdown Property

Get/Set the kind of shutdown or restart. Possible values are "Uncleanly" and "Cleanly". A shutdown is considered unclean if there are any active channels when the system is shut down.

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string Shutdown { get; set; }

    Public Property Shutdown As String
    	Get
    	Set

    public:
    property String^ Shutdown {
    	String^ get ();
    	void set (String^ value);
    }

    member Shutdown : string with get, set

#### Property Value

Type: String
See Also

#### Reference

ShutdownEvent Class
AsterNET.Manager.Event Namespace